Status: Resolved Priority: Should have
Updated: 2012-06-20 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git 1.1

Subject: Validator shorthand notation does not work as documented

Description

According to http://flow3.typo3.org/documentation/quide/partiii/validation.html#creating-validator-instances-the-validatorresolver it is

possible to use Your.Package:Foo as validator type. This does not work, only Your\Package:Foo works.

Related issues:
related to TYPOS.Flow - Feature # 33862: a shorthand for custom validators

Resolved 2012-02-12

Associated revisions

Revision fdfca9eb - 2012-06-18 16:32 - Sebastian Kurfuerst

[BUGFIX] Correctly implement validator resolver short notation

Currently, the short notation for validators which has been introduced

with 1d807dbfa78ae1388aa8cd53bfc578893eade427¢ does only support syntax

like TYPO3\FLOW3:EmailAddress; but we should rather support TYPO3.FLOW3:EmailAddress
as this is how we use package keys at all other places which are not PHP code.

Change-Id: Icbab36f39955254a59dced0abeeOba4ef11130b5
Fixes: #38154
Related: #33862

Releases: 1.1, 1.2

Revision ead27341 - 2012-06-18 16:33 - Sebastian Kurfuerst

[BUGFIX] Correctly implement validator resolver short notation

Currently, the short notation for validators which has been introduced

with 1d807dbfa78ae1388aa8cd53bfc578893eade427¢ does only support syntax

like TYPO3\FLOW3:EmailAddress; but we should rather support TYPO3.FLOW3:EmailAddress
as this is how we use package keys at all other places which are not PHP code.

Change-Id: Icbab36f39955254a59dced0abeeOba4ef11130b5
Fixes: #38154

Related: #33862

Releases: 1.1, 1.2

History

#1 - 2012-06-18 16:32 - Gerrit Code Review

2015-08-03

1/2



http://flow3.typo3.org/documentation/guide/partiii/validation.html#creating-validator-instances-the-validatorresolver

- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11778

#2 - 2012-06-18 16:33 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12167

#3 - 2012-06-18 16:37 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fdfca9eb878fda281fc777afadb911b0bf26d6e9.

#4 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3

2015-08-03
